import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { SortOrderInputObjectSchema as SortOrderInputObjectSchema } from './SortOrderInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  jobName: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  startedAt: SortOrderSchema.optional(),
  completedAt: z.union([SortOrderSchema, z.lazy(() => SortOrderInputObjectSchema)]).optional(),
  durationMs: z.union([SortOrderSchema, z.lazy(() => SortOrderInputObjectSchema)]).optional(),
  errorMessage: z.union([SortOrderSchema, z.lazy(() => SortOrderInputObjectSchema)]).optional()
}).strict();
export const CronJobLogOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.CronJobLogOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.CronJobLogOrderByWithRelationInput>;
export const CronJobLogOrderByWithRelationInputObjectZodSchema = makeSchema();
